---
title: <position>
slug: Web/CSS/position_value
tags:
  - CSS
  - CSS Data Type
  - Data Type
  - Layout
  - Reference
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>&lt;position&gt;</code></strong> (or <strong><code>&lt;bg-position&gt;</code></strong>) <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a> denotes a two-dimensional coordinate used to set a location relative to an element box. It is used in the {{cssxref("background-position")}} and {{cssxref("offset-anchor")}} properties.</p>

<div class="note">
<p><strong>Note:</strong> The final position described by the <code>&lt;position&gt;</code> value does not need to be inside the element's box.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<p><img alt="" src="https://mdn.mozillademos.org/files/12215/position_type.png" style="float: left; height: 230px; width: 362px;">The <code>&lt;position&gt;</code> data type is specified with one or two keywords, with optional offsets.</p>

<p>The keyword values are <code>center</code>, <code>top</code>, <code>right</code>, <code>bottom</code>, and <code>left</code>. Each keyword represents either an edge of the element's box or the center line between two edges. Depending on the context, <code>center</code> represents either the center between the left and right edges, or the center between the top and bottom edges.</p>

<p>If specified, an offset can be either a relative {{cssxref("&lt;percentage&gt;")}} value or an absolute {{cssxref("&lt;length&gt;")}} value. Positive values are offset towards the right or the bottom, whichever is appropriate. Negative values are offset in the opposite directions.</p>

<p>If only a single offset value is specified, it defines the x-coordinate, with the value for the other axis defaulting to <code>center</code>.</p>

<pre class="brush:css notranslate">/* 1-value syntax */
<var>keyword</var>                  /* Either the horizontal or vertical position; the other axis defaults to center */
<var>value</var>                    /* The position on the x-axis; the y-axis defaults to 50% */

/* 2-value syntax */
<var>keyword</var> <var>keyword</var>          /* A keyword for each direction (the order is irrelevant) */
<var>keyword</var> <var>value</var>            /* A keyword for horizontal position, value for vertical position */
<var>value</var> <var>keyword</var>            /* A value for horizontal position, keyword for vertical position */
<var>value</var> <var>value</var>              /* A value for each direction (horizontal then vertical) */

/* 4-value syntax */
<var>keyword</var> <var>value</var> <var>keyword</var> <var>value</var> /* Each value is an offset from the keyword that preceeds it */
</pre>

<h3 id="Formal_syntax">Formal syntax</h3>

<pre class="syntaxbox notranslate">[
 [ left | center | right ] || [ top | center | bottom ]
|
 [ left | center | right | &lt;length&gt; | &lt;percentage&gt; ]
 [ top | center | bottom | &lt;length&gt; | &lt;percentage&gt; ]?
|
 [ [ left | right ] [ &lt;length&gt; | &lt;percentage&gt; ] ] &amp;&amp;
 [ [ top | bottom ] [ &lt;length&gt; | &lt;percentage&gt; ] ]
]
</pre>

<div class="notecard note">
<p><strong>Note</strong>: The {{cssxref("background-position")}} property also accepts a three-value syntax. This is not allowed in other properties that use <code>&lt;position&gt;</code>.</p>
</div>

<h2 id="Interpolation">Interpolation</h2>

<p>When animated, a point's abscissa and ordinate values are interpolated independently. However, because the speed of the interpolation is determined by a single <a href="/en-US/docs/Web/CSS/single-transition-timing-function">timing function</a> for both coordinates, the point will move in a straight line.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Valid_positions">Valid positions</h3>

<pre class="notranslate">center
left
center top

right 8.5%
bottom 12vmin right -6px

10% 20%
8rem 14px
</pre>

<h3 id="Invalid_positions">Invalid positions</h3>

<pre class="example-bad notranslate">left right
bottom top
10px 15px 20px 15px
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Values', '#position', '&lt;position&gt;')}}</td>
   <td>{{Spec2('CSS3 Values')}}</td>
   <td>Relists links to both definitions: if {{SpecName('CSS3 Backgrounds')}} is supported, its definition of <code>&lt;position&gt;</code> must also be used.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Backgrounds', '#typedef-bg-position', '&lt;bg-position&gt;')}}</td>
   <td>{{Spec2('CSS3 Backgrounds')}}</td>
   <td>Defines <code>&lt;position&gt;</code> explicitly and extends it to support offsets from any edge.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'colors.html#propdef-background-position', '&lt;position&gt;')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Allows combination of a keyword with a {{cssxref("&lt;length&gt;")}} or {{cssxref("&lt;percentage&gt;")}} value.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#background-position', '&lt;position&gt;')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Defines <code>&lt;position&gt;</code> anonymously as the value of {{cssxref("background-position")}}.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.types.position")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Values_and_Units">CSS Values and Units</a></li>
 <li><a href="/en-US/docs/Learn/CSS/Introduction_to_CSS/Values_and_units">CSS Values and Units introduction</a></li>
 <li>{{cssxref("background-position")}}</li>
 <li>{{cssxref("radial-gradient")}}</li>
 <li>{{cssxref("conic-gradient", "conic-gradient()")}}</li>
</ul>
